For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • POSTCreate workspace
      • DELDelete workspace
      • GETList workspaces
      • GETShow workspace
      • PATCHUpdate workspace

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceWorkspaces

Create workspace

POST
https://api.frame.io/v4/accounts/:account_id/workspaces
POST
/v4/accounts/:account_id/workspaces
1from frameio import Frameio, WorkspaceParamsData
2
3client = Frameio(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.workspaces.create(
8 account_id="974374bf-21a0-45a2-b773-879d7c036117",
9 data=WorkspaceParamsData(
10 name="My Workspace",
11 ),
12)
1{
2 "data": {
3 "account_id": "0020ad33-a966-465e-8e88-ac9e5d4a78a4",
4 "created_at": "2024-01-25T19:18:29.614189Z",
5 "id": "5bc5b621-7cd3-4ed2-b733-368b2e0a541b",
6 "name": "My Workspace",
7 "updated_at": "2024-02-07T16:44:41.986478Z"
8 }
9}

Create workspace from an account.
Rate Limits: 10 calls per 1.00 minute(s) per account_user

Was this page helpful?
Previous

Delete workspace

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String

Request

Workspace params
dataobjectRequired

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

Created
dataobject
Frame.io workspace

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error